Nvidia Quadro FX 580 in Lenny

Getting your soundcard to work, using Debian on non-i386 hardware, etc

Nvidia Quadro FX 580 in Lenny

Postby acimmarusti » 2009-07-24 01:20

Hi,

I've recently installed Debian Lenny on a Dell Precision T3500 workstation with a Nvidia Quadro FX 580 video card. The install went smoothly and so did my first session using KDE. I really need to use the Nvidia video drivers for this video card, unfortunately the lenny driver has no support for this card. I tried backporting the driver in Sid, but there is a dependency problem: nvidia-kernel-185.18.14 Package not available (http://packages.debian.org/sid/nvidia-glx).

What's even worse, the vesa driver will often fail to work, and X crashes and I get a black screen. I have to shut the computer off by holding the power button pressed for a while. I decided to uninstall the xserver-xorg-video-nv driver to see if this would stop that problem, but it didn't help.

I also tried running the newest NVIDIA driver, but I got an error saying that the installer didn't have precompiled sources for my kernel, it prompted me if I would like to search online, but I'm on a wireless network and the network wasn't loaded (as this is handled by knetwork-manager), so the installation failed...After reading some of the documentation in NVIDIA, it has become clear that this refers to linux-headers packages that must be installed in my system. I will attempt this.

If I could only get the vesa driver going...because I can't even log into KDE. Anyone knows anything about this?
Was removing the nv driver a mistake? should I have tried that instead of vesa? Tomorrow I will try with nv driver to get x going. Then I'll try to run the newest Nvidia installer again (but trying to be connected to the internet). If this continues to fail, I'll try a newer kernel from backports.. but I would appreciate any help in the matter.
acimmarusti
 
Posts: 393
Joined: 2009-02-27 04:59
Location: College Park, MD USA

Re: Nvidia Quadro FX 580 in Lenny

Postby eliad » 2009-07-24 11:23

Nvidia-kernel-source 185.18.14 is available on sid. You'd have to build it yourself. But you don't need that version. The stable version, 173.14.9-5; it supports your video card.

If you want to to install it nvidia driver 185.18.14: See this page: http://wiki.debian.org/NvidiaGraphicsDrivers
eliad
 
Posts: 35
Joined: 2009-03-29 11:13

Re: Nvidia Quadro FX 580 in Lenny

Postby eliad » 2009-07-24 12:32

Take a look at this page too: http://forums.debian.net/viewtopic.php?p=239363#p239363

Do this:
Code: Select all
export KVERS=$(uname -r)
apt-get install module-assistant nvidia-kernel-common linux install linux-headers-$KVERS
m-a prepare
apt-get install nvidia-kernel-source=185.18.14-2
m-a a-i nvidia-kernel-source
apt-get install nvidia-glx=185.18.14-2 nvidia-libvdpau1=185.18.14-2
eliad
 
Posts: 35
Joined: 2009-03-29 11:13

Re: Nvidia Quadro FX 580 in Lenny

Postby acimmarusti » 2009-07-24 13:19

eliad wrote:Nvidia-kernel-source 185.18.14 is available on sid. You'd have to build it yourself. But you don't need that version. The stable version, 173.14.9-5; it supports your video card.

If you want to to install it nvidia driver 185.18.14: See this page: http://wiki.debian.org/NvidiaGraphicsDrivers


No, the stable version doesn't work. I tried that and X crashed...

I made the NVIDIA installer work now.. it's working like a charm. I might try to install it "the debian way" in the future if there is some kernel change.

Thanks for your input though.
acimmarusti
 
Posts: 393
Joined: 2009-02-27 04:59
Location: College Park, MD USA

Re: Nvidia Quadro FX 580 in Lenny

Postby acimmarusti » 2009-07-30 23:21

eliad wrote:Take a look at this page too: http://forums.debian.net/viewtopic.php?p=239363#p239363

Do this:
Code: Select all
export KVERS=$(uname -r)
apt-get install module-assistant nvidia-kernel-common linux install linux-headers-$KVERS
m-a prepare
apt-get install nvidia-kernel-source=185.18.14-2
m-a a-i nvidia-kernel-source
apt-get install nvidia-glx=185.18.14-2 nvidia-libvdpau1=185.18.14-2


Hey again,

I recently tried that (except I decided to backport all the 185.18.14-2 nvidia driver packages using apt-get -b source). All was going well, until I tried installed the 32-bit compatibility libraries.., apt prompted me to install a newer version of libc6-i386. I refused to do this, because I think that is a very very important library.

My conclusion is that installing the driver on Lenny is not currently possible (Squeeze is fine).
acimmarusti
 
Posts: 393
Joined: 2009-02-27 04:59
Location: College Park, MD USA

Re: Nvidia Quadro FX 580 in Lenny

Postby philer » 2010-01-06 16:10

Andres,

You said you got the nvidia quadro fx 580 working. You got it working with Lenny or Squeeze?

Thanks a lot.

Philer
philer
 
Posts: 1
Joined: 2010-01-06 15:58

Re: Nvidia Quadro FX 580 in Lenny

Postby acimmarusti » 2010-01-07 13:52

I got it working with Lenny, using the NVIDIA installer (straight from their website)
acimmarusti
 
Posts: 393
Joined: 2009-02-27 04:59
Location: College Park, MD USA


Return to Hardware

Who is online

Users browsing this forum: No registered users and 5 guests

fashionable
cron